Bug 507082 - Review Request: mediawiki-HTTP302Found - Forces an external HTTP 302 redirect instead of internal redirects
Review Request: mediawiki-HTTP302Found - Forces an external HTTP 302 redirect...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Zhou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 13:10 EDT by Ian Weller
Modified: 2009-06-30 17:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 14:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rzhou: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2009-06-20 13:10:26 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-HTTP302Found/1.0-1/mediawiki-HTTP302Found.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-HTTP302Found/1.0-1/mediawiki-HTTP302Found-1.0-1.fc11.src.rpm
Description:
Pushes a HTTP code 302 (Found) to the browser when there is a redirect instead
of handling it internally. The end user will not notice any difference (other
than the address to the page having an ?rd=Redirecting_page bit at the end).
Comment 1 Ricky Zhou 2009-06-25 10:52:53 EDT
Tiny thing, you can probably take out -c from the install command.  The manpage says it's ignored (weird).

* rpmlint clean
* package meets naming guidelines
* uses macros consistently
* build root is ok
* license is good
* Requires/BuildRequires are OK
* Permissions are fine

APPROVED
Comment 2 Ricky Zhou 2009-06-25 10:57:23 EDT
Forgot to do the assigning + fedora-review stuff :-/
Comment 3 Ian Weller 2009-06-25 11:02:36 EDT
New Package CVS Request
=======================
Package Name: mediawiki-HTTP302Found
Short Description: Forces an external HTTP 302 redirect instead of internal redirects
Owners: ianweller
Branches: F-11 F-10 EL-5
InitialCC:
Comment 4 Jason Tibbitts 2009-06-25 16:11:28 EDT
CVS done.
Comment 5 Fedora Update System 2009-06-26 13:40:01 EDT
mediawiki-HTTP302Found-1.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mediawiki-HTTP302Found-1.0-1.fc10
Comment 6 Fedora Update System 2009-06-26 13:40:06 EDT
mediawiki-HTTP302Found-1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mediawiki-HTTP302Found-1.0-1.fc11
Comment 7 Fedora Update System 2009-06-30 17:21:45 EDT
mediawiki-HTTP302Found-1.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-30 17:29:36 EDT
mediawiki-HTTP302Found-1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.